# Fourier Transform course

This repository contains material for an interactive course on Fourier transform (FT).
You can find many documents on the FT, (for instance [on Wikipedia](https://en.wikipedia.org/wiki/Fourier_transform), usually full of good theory, and with some examples.

The idea here is to emphasize  *exploration* and *feeling* of the FT rather than on theory.
For this I use jupyter notebook interactivity to display the basis of FT.
The emphasis is set on spectroscopy (my main topic) rather than image processing or cristallography.

This course comes from a teaching I've been doing to PhD doctorates of the IGBMC institute,
where I am just starting with an empty notebook and discover python, and then FT in an interactive manner.

*The course is based on the interactive capabilities of `ipywidgets` library, however, the graphics generated in this way might not display well on github, but they work in jypyter*

The first developped version has been created for the FT-MS school in Cabourg, France in april 2018.


# Organisation of the course:

- [jupyter environment](Jupyter_environment.ipynb)
fist contacts, a glimpse on python (you can find a longer presentation on [github.com/delsuc](https://github.com/delsuc/MemoBio2015/blob/master/Presentation.ipynb) )
- [Fourier transform: definitions, basic properties](Definition_Properties.ipynb)
basis of Fourier transform
- [basic FT-MS processing](Basic_FT.ipynb) an interactive practical on the fundamentals of Fourier transform
- [advanced FT-MS processing](FTICR_1.ipynb), a complete processing of a FT-ICR dataset


the [HTML](HTML) folder contains a static rendering of the notebooks.

*Marc-André Delsuc*

